
TYPO3.Flow - Feature # 3306

Status: Accepted Priority: Should have
Author: Robert Lemke Category: MVC
Created: 2009-05-14 Assigned To: Robert Lemke
Updated: 2013-05-06 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Flush routes cache automatically on class file modifications
Description

If a class containing a route part handler is changed, we also need to flush the routes cache because other routes might match now.

Related issues:
related to TYPO3.Flow - Task # 2117: Clean up bootstrap Resolved 2008-11-11
related to TYPO3.Flow - Bug # 2974: Aspect / Proxy Cache is not emptied autom... New 2009-03-25
related to TYPO3.Flow - Feature # 5849: Rebuild proxy classes if security pol... Resolved 2009-12-28
related to TYPO3.Flow - Bug # 33811: Not all caches are flushed (automaticall... Resolved 2012-02-09

Associated revisions
Revision 98343cbb - 2009-05-28 11:23 - Robert Lemke

For the FLOW3 distribution added a sub route to the Welcome package subroutes. If the Welcome package is installed, its fallback route becomes
active and displays a meaningful welcome screen.

    -  FLOW3: (MVC) For now disabled the caching of routes because they can lead to confusion during development. We can enable caching again
once the routes cache is automatically flushed. Refs #3306
    -  FLOW3: (MVC) The Router will now produce a log entry if no route matched.

Revision e71e8481 - 2009-05-28 11:23 - Robert Lemke

For the FLOW3 distribution added a sub route to the Welcome package subroutes. If the Welcome package is installed, its fallback route becomes
active and displays a meaningful welcome screen.

    -  FLOW3: (MVC) For now disabled the caching of routes because they can lead to confusion during development. We can enable caching again
once the routes cache is automatically flushed. Refs #3306
    -  FLOW3: (MVC) The Router will now produce a log entry if no route matched.

History
#1 - 2009-05-16 19:32 - Robert Lemke
- Target version set to 1.0 alpha 1

#2 - 2009-05-20 11:31 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#3 - 2009-05-26 12:00 - Robert Lemke
- Priority changed from Must have to Should have
#4 - 2009-06-01 13:14 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

Since r2437 routes are now uncached until this issue is resolved.

#5 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)
